by

Where communities thrive


  • Join over 1.5M+ people
  • Join over 100K+ communities
  • Free without limits
  • Create your own community
People
Repo info
Activity
  • 16:24
    tomspilman synchronize #7277
  • 16:13
    Jjagg closed #6505
  • 16:13
    Jjagg commented #6505
  • 14:18
    Jjagg commented #7277
  • 14:16
    Jjagg commented #7277
  • Aug 03 22:32
    paytonrog edited #7278
  • Aug 03 22:30
    paytonrog opened #7278
  • Aug 03 22:06
    tomspilman synchronize #7277
  • Aug 03 18:46
    SimonDarksideJ commented #7277
  • Aug 03 18:28
    tomspilman synchronize #7277
  • Aug 03 18:09
    tomspilman opened #7277
  • Aug 03 14:15
    Jjagg commented #6590
  • Aug 03 14:14
    Jjagg commented #4127
  • Aug 03 14:11
    Jjagg labeled #4127
  • Aug 03 14:11
    Jjagg labeled #6590
  • Aug 03 05:14
    willmotil commented #6861
  • Aug 03 05:11
    willmotil commented #6861
  • Aug 03 05:11
    willmotil commented #6861
  • Aug 03 05:04
    willmotil commented #6861
  • Aug 02 18:43
    Jjagg commented #4431
YTN0
@YTN0
@harry-cpp are there instructions somewhere on setting up and using the nugets instead of the installer? I've not had any luck getting my pipeline content to compile. Is there a specific version of .net core or .net standard that we should be targeting? Also, where do the nuget templates come up? I also could not get the monogame core nuget to install (noth the DX or GL version). It also seems out of date.
YTN0
@YTN0

The specific issues are I can't compile any pipeline content that require Assimp. The error I get is:

2>SkyBoxCube.fbx : error : Importer 'FbxImporter' had unexpected failure!
2>Assimp.AssimpException: Error loading unmanaged library from path: Assimp64.dll, see inner exception for details.
2>The specified module could not be found. (0x8007007E)
2> ---> System.IO.FileNotFoundException: The specified module could not be found. (0x8007007E)

Separately, I can't seem to compile any shaders that reference or include other files e.g.

2>/DefaultShader.fx
2>EXEC : error : C:\Users\default\AppData\Local\Temp\tmp8C31.tmp(1,0): File not found: Lighting.fx in .(MonoGame.Effect.Preprocessor+MGFile) C:\Users\default\AppData\Local\Temp
2>Failed to parse 'C:\Users\default\AppData\Local\Temp\tmp8C31.tmp'!

Jay Mann
@jaym2444
When trying to initialize my own graphics device so I can interop it within a UI Library, I always get thrown an error about a null pointer in the default graphics adapter
Harry
@harry-cpp
@YTN0 the second issue has been fixed with the newest develop version
dunno about the first issue
report it on github
YTN0
@YTN0
@harry-cpp Thanks for the update. Will file an issue for the 1st problem. For the second issue, has that just been resolved? I am currently using the latest build, which was from yesterday (5/23)
Harry
@harry-cpp
Resolved 4 days ago: MonoGame/MonoGame#7148
Peter Amrehn
@jongleur1983
Hi. Is it possible to have dependencies between Assets in the content pipeline (it was possible on Xna3.1)? My ContentProcessor writes ExternalReference<TextureContent> to the tag of ModelContent objects, but the contentPipeline fails to compile the model as "TextureImporter failed to load", on the other hand, the same texture as it's own asset compiles fine.
marinariverside
@thehedat92_twitter
game này có gì hấp dẫn
Peter Amrehn
@jongleur1983
I tried to upgrade my MonoGame packages to MonoGame.Framework.WindowsDX 3.8.0 prerelease - now some real basic types can't be found any more: Vector2, Vector3, Matrix, ContentTypeReader<T>, ContentReader - what am I doing wrong?
Jesse
@Jjagg
@jongleur1983 What .NET do you target? Try deleting bin and obj before building.
Peter Amrehn
@jongleur1983
@Jjagg trying to target netcoreapp3.0
netcoreapp3.1 would be ideal though
Peter Amrehn
@jongleur1983
@Jjagg Monogame.Framework.Content.Pipeline.Portable can't be restored using .netcoreapp3.1 - is there a proper replacement for that?
wait... I might have found the remaining issue, I'll try further...
Peter Amrehn
@jongleur1983
no... don't get it right, yet...
Let me ask the other way around: What to use under the following conditions: I need to use a library that targets netcoreapp3.1 and netstandard2.1; I need a content project (preferably but not necessarily using the Pipeline UI tool) with custom ContentProcessors and ContentImporters.
oh: and using DirectX under Windows for now.
Kevin Small
@KevinSmall
I have a problem building an iOS game from VS in Windows.
I have a MG 3.7.1 game developed in VS for Windows targeting iOS. I use the VS "Pair to Mac" feature to get the iPhone simulator running on Windows. My Mac is a mac-in-cloud Mac, not sure if that matters.
When I choose soln config = Debug, platform = iPhoneSimulator, I can build and run game on iPhoneSimilator in Windows. All good, all works.
When I choose soln config = Release, platform = iPhone I get an error at build time, saying "Failed to resolve assembly: 'Lidgren.Network". If I unpair my Mac it builds fine, so I suspect something is missing on the Mac. The Mac has VS and MG 3.7.1 installed.
Can anyone help?
Kevin Small
@KevinSmall
plus one slightly easier question, does anyone know what happened to Guide.cs that used to exist in 3.5.1, it seems to be gone in latest MG release.
Kevin Small
@KevinSmall
(please ignore my original question about lidgren.network - I worked around it by adding monogame.iOS project directly to my solution)
Jesse
@Jjagg
Guide has been removed. If you used it to show the keyboard check out KeyboardInput
Peter Amrehn
@jongleur1983
I installed the up to date Pipeline tool as a dotnet global too. It loads the content project (without any referenced dll). Whenever I try to add a reference to my compile pipeline project (containing the importers) it crashes, showing the following stack trace on restart: https://gist.github.com/jongleur1983/dff921fe31b44f8a9025a4a265ef7839
Peter Amrehn
@jongleur1983
fixed that issue myself: somehow the colors in my content project had the wrong format. Up to the next: content pipeline compiles all assets successfully (it says), but the FbxImporter fails to load fbx assets with "Assimp.AssimpException: Error loading unmanaged library from path: Assimp64.dll". What am I missing here?
Kevin Small
@KevinSmall
Thanks @Jjagg
Dan Gant
@dgant
image.png

Hello. Using MonoGame for the first time. Created a new project from the MonoGame cross-platform project template in Visual Studio. But the project template has NuGet package errors out of the box:

  • Unable to find package MonoGame.Content.Builder with version (>= 3.8.0) | Found 9 version(s) in nuget.org [ Nearest version: 3.7.0.9 ]
  • Unable to find a stable package MonoGame.Framework.DesktopGL with version (>= 3.8.0) | Found 7 version(s) in nuget.org [ Nearest version: 3.8.0.1375-develop ]

What's strange is that it looks like I have 3.8 installed (see screenshot).

What would get the packages lined up in a working state?

Dan Gant
@dgant
If the state of 3.8 on NuGet is unstable I also wouldn't mind just using a 3.7 template if that's available somewhere
Dan Gant
@dgant

Resolved, I think. The project template references the no-longer-published MonoGame.Content.Builder (solution: remove it) and for MonoGame.Framework.DesktopGL Visual Studio refuses to resolve wildcard versions to prerelease versions (solution: have the project template specify the exact version string).

I opened MonoGame/MonoGame#7196 proposing these fixes to the project template

AgentD1
@AgentD1
The link to the README on the documentation page of the website is broken
Dan Gant
@dgant
Pipeline.exe isn't running for me. If I run it, I get a spinny cursor for about a second, and no program opens. It doesn't show up on my Task Manager. Windows 10, installing from http://teamcity.monogame.net/repository/download/MonoGame_PackagingWindows/latest.lastSuccessful/MonoGameSetup.exe?guest=1
Is there a known way to get it running?
It also doesn't work if I attempt to open an mgcb from Explorer or from VS
Dan Gant
@dgant
This is C:\Program Files (x86)\MSBuild\MonoGame\v3.0\Tools\Pipeline.exe, 500kb
I see some people having more success with the 3.7 installed version over the 3.7.1, but is the 3.7 pipeline.exe compatible with 3.8?
Dan Gant
@dgant
From https://community.monogame.net/t/pipeline-exe-not-opening-resolved/7377/3 I saw that there's a Settings.xml in IsolatedStorage that could get corrupted, but I don't have a Settings.xml in mine
Hareem-E-Sahar
@Hareem-E-Sahar
Hi everyone, Can anyone share their perspective on why project issues are discussed here in Gitter instead of under the comments section of the issue report in the GitHub issue tracker?
KshitijVikramSingh
@KshitijVikramSingh
Good day everyone! I want to start contributing and want to start with No. 1593. I've gone through the guidelines for contribution, it mentioned asking before submitting a pull request. How can I get started? Is there anything else I should keep in mind? Thanks!
Vicente Penades
@vpenades
@KshitijVikramSingh you should ask at monogame's Discord forum, where most monogame developers talk now.
KshitijVikramSingh
@KshitijVikramSingh
okay I will, thanks!
Zim
@ziimro
anybody alive here?
Vinicius Jarina
@viniciusjarina
:skull:
Brien King
@BrienKing
Maybe :)
89o
@89o
How can I read a pixel's colour from a texture?
Daniel Sör
@Ragath
@89o if its just a couple of pixels you're interested in, then there's a method for it on the texture class